﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ColonYen
{
    public partial class Where : Form
    {
        const bool TASK_COMPLETED = true;
        const int BORDER = 3;
        const int CORNER_HEIGHT = 10;
        const int CORNER_WIDTH = 70;
        const int TITLE_BAR_HEIGHT = 25;
        const string COLON_YEN = "ColonYen";
        const string EMPTY = "";

        Form1 form1;
        int TASK_BAR_HEIGHT;
        White background;

        public void info(Form1 f, int t)
        {
            form1 = f;
            form1.ShowIcon = false;
            form1.Text = EMPTY;
            TASK_BAR_HEIGHT = t;
        }

        public Where()
        {
            InitializeComponent();
        }

        private void Where_Load(object sender, EventArgs e)
        {
            int adjuster = 0 - TASK_BAR_HEIGHT;
            int SCREEN_HEIGHT = Screen.PrimaryScreen.Bounds.Height + adjuster;
            int SCREEN_WIDTH = Screen.PrimaryScreen.Bounds.Width;

            background = new White();
            background.Show();

            Left = 0;
            Top = 0;
            Width = SCREEN_WIDTH;
            Height = SCREEN_HEIGHT;
            TopMost = true;
            KeyPreview = true;
        }

        private void Where_MouseMove(object sender, MouseEventArgs e)
        {
            int cursor_x = e.X + BORDER;
            int cursor_y = e.Y + TITLE_BAR_HEIGHT;

            Text = cursor_x.ToString() + ", " + cursor_y.ToString();
            Refresh();
        }

        private void Where_FormClosing(object sender, FormClosingEventArgs e)
        {
            background.Close();
            form1.negateWhere();
            form1.ShowIcon = true;
            form1.Text = COLON_YEN;
        }

        private void Where_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Escape)
            {
                Close();
            }
            else if (e.KeyCode == Keys.F3)
            {
                form1.ending(TASK_COMPLETED);
            }

        }

    }
}
