﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices;
using System.Security;
using System.Text;
using System.Threading;
using System.Windows.Forms;

namespace ColonYen
{
    public partial class Form1 : Form
    {
        const bool NO_APPENDING = false;
        const bool CLOSE = false;
        const bool GUIDE = true;
        const bool TASK_COMPLETED = true;
        const double EPSIRON = 0.000001;
        const double VERSION = 1.02;
        const double WINDOWS_10 = 10.0;
        const double WINDOWS_7 = 6.1;
        const double WINDOWS_XP = 5.1;
        const double WINDOWS_VISTA = 6.0;
        const int CHAR_ARRAY_SIZE = 4096;
        const int DETERMINED_BY_WINDOWS = 300;
        const int DETERMINED_BY_WINDOWS_10 = 9001;
        const int DIAGONAL = 3;
        const int INACTIVE = 0;
        const int LONG_WINDOW = 30; // Windows 10
        const int NOT_CONVERTED = -1;
        const int ONE_SECOND = 1000;
        const int SHORT_WINDOW = 5; // lines
        const int SLOW = 600;
        const int SWP_HIDEWINDOW = 128;
        const int SW_MINIMIZE = 6;
        const int SW_RESTORE = 9;
        const int TASK_BAR_HEIGHT = 29;
        const string BAR = "-b";
        const string BASH = "bash";
        const string BASH_PID_TEXT = "C:\\ColonYen\\BASH_PID.txt";
        const string CMD_EXE = "cmd.exe";
        const string CMD_PID_1_TEXT = "C:\\ColonYen\\CMD_PID1.txt";
        const string CMD_PID_2_TEXT = "C:\\ColonYen\\CMD_PID2.txt";
        const string PS_PID_TEXT = "C:\\ColonYen\\PS_PID.txt";
        const string COLON_YEN = "ColonYen";
        const string COLON_YEN_PDF = "C:\\ColonYen\\ColonYen.pdf";
        const string COLON_YEN_TEXT = "C:\\ColonYen\\ColonYen.txt";
        const string COLON_YEN_VERSION = "ColonYen Version ";
        const string CONSOLE = "Console";
        const string CORNER = "-c";
        const string C_START_CMD_K = "/C START CMD /K ";
        const string C_TASKLIST_FINDSTR_BASH_EXE = "/C C:\\ColonYen\\BASH_PID.bat";
        const string C_TASKLIST_FINDSTR_CMD_EXE_1 = "/C C:\\ColonYen\\CMD_PID1.bat";
        const string C_TASKLIST_FINDSTR_CMD_EXE_2 = "/C C:\\ColonYen\\CMD_PID2.bat";
        const string C_TASKLIST_FINDSTR_POWER_SHELL_EXE = "/C C:\\ColonYen\\PS_PID.bat";
        const string C_TASKLIST_Q = "/C TASKLIST /?";
        const string C_VER = "/C VER";
        const string DOT = ".";
        const string EDGE = "-e";
        const string EMPTY = "";
        const string GAP = " ";
        const string HASH = "#";
        const string MANUAL_START = "-s-";
        const string MISSING_TEXT = "C:\\ColonYen\\missing.txt";
        const string MODE_CON_BATCH = "C:\\ColonYen\\MODE_CON.bat";
        const string N_0TO9 = "0123456789";
        const string SLOW_TERM = "-o";
        const string SLOW_TEXT = "C:\\ColonYen\\slow.txt";
        const string START_SIGN = "[Start]";
        const string TASKKILL_PID = "/C TASKKILL /PID ";
        const string TASKLIST_TEXT = "C:\\ColonYen\\TASKLIST.txt";
        const string TIME_START = "-t";
        const string VER_TEXT = "C:\\ColonYen\\VER.txt";
        const string WHERE = "-w";

        [DllImport("user32.dll")]
        public static extern System.IntPtr FindWindow(string className, string title);

        [DllImport("user32.dll")]
        public static extern bool SetWindowPos(System.IntPtr hwnd, System.IntPtr HWND_BOTTOM, int console_x, int console_y, int console_width, int console_height, uint disappear);

        [DllImport("user32.dll")]
        public static extern bool ShowWindow(System.IntPtr hwnd, int minimize);

        delegate int PreparingBatch(int d);
        delegate int SimilarRectangle(int l);
        System.IntPtr HWND_BOTTOM = (System.IntPtr)0x00000001;
        System.IntPtr HWND_TOP = (System.IntPtr)0x00000000;
        bool corner = false;
        bool timeStart = true;
        bool where = false;
        char[] char_array; // TextReader.Read(), TextReader.Write()
        double OSversion = WINDOWS_7;
        int bar = INACTIVE;
        int bufferSize = DETERMINED_BY_WINDOWS; // lines
        int console_height = 203;
        int console_width = 289;
        int console_x = 0;
        int console_y = 0;
        int cornerNumber = DIAGONAL;
        int columns = 15;
        int delta_x = 8;
        int delta_y = 18;
        int edge = INACTIVE;
        int estimate = 23;
        int hidden = 0;
        int lines = 5;
        int longer = 0; // Windows XP, Windows Vista, Windows 7
        int waiting = ONE_SECOND;
        int windowHeight = 203;
        int windowWidth = 289;
        int[] horizontal = { 0, 3, 6, 9, 12, 16, 19, 22, 25, 28, 32, 35, 38, 41, 44, 48, 51, 54, 57, 60, 64, 67, 70, 73, 76, 80, 80, 80, 80, 80, 80 };
        int[] slow = { 600, 600, 600, 600 };
        string currentDirectory = "C:\\ColonYen";
        string executable = CMD_EXE;
        string fileName = COLON_YEN_TEXT;
        string parameter = "";
        ToolStripMenuItem size_menu_item5, size_menu_item6, size_menu_item7, size_menu_item8, size_menu_item9, size_menu_item10, size_menu_item11, size_menu_item12, size_menu_item13, size_menu_item14;
        ToolStripMenuItem size_menu_item15, size_menu_item16, size_menu_item17, size_menu_item18, size_menu_item19, size_menu_item20, size_menu_item21, size_menu_item22, size_menu_item23, size_menu_item24, size_menu_item25;
        int classicalConsole(int d)
        {
            int scrollBarWidth = 18;

            if (bufferSize < SHORT_WINDOW)
            {
                bufferSize = SHORT_WINDOW;
            }
            else if (9999 < bufferSize)
            {
                bufferSize = 9999;
            }

            int e = (windowHeight - 58) / d + 1;
            if (bufferSize <= e)
            {
                scrollBarWidth = 0;
            }

            lines = bufferSize;
            columns = (windowWidth - scrollBarWidth - 18) / delta_x;
            if (columns < 15)
            {
                columns = 15;
            }
            else if (80 < columns)
            {
                columns = 80;
            }

            // MODE_CON_BATCH
            StreamWriter settingFile = File.CreateText(MODE_CON_BATCH);
            settingFile.Write("MODE CON: COLS=");
            settingFile.Write(columns);
            settingFile.Write(" LINES=");
            settingFile.WriteLine(lines);
            settingFile.Close();

            return e;
        }

        int classicalRectangle(int n)
        {
            lines = n;
            windowHeight = (lines - 1) * delta_y + 58;
            int b = DETERMINED_BY_WINDOWS;

            columns = horizontal[n];
            windowWidth = columns * delta_x + 36;
            return b; // bufferSize
        }

        int noBufferRectangle(int n)
        {
            lines = n;
            windowHeight = (lines - 1) * delta_y + 58;
            int b = lines;

            columns = horizontal[n];
            windowWidth = columns * delta_x + 18;

            if (OSversion == WINDOWS_10)
            {
                windowWidth -= 3;
                windowHeight -= 3;
            }

            return b; // bufferSize
        }

        int widerConsole(int d)
        {
            int scrollBarWidth = 18;

            if (bufferSize < SHORT_WINDOW)
            {
                bufferSize = SHORT_WINDOW;
            }
            else if (9999 < bufferSize)
            {
                bufferSize = 9999;
            }

            int e = (windowHeight - 55) / d + 1;
            if (bufferSize <= e)
            {
                scrollBarWidth = 0;
            }

            lines = bufferSize;
            columns = (windowWidth - scrollBarWidth - 15) / delta_x;
            if (columns < 15)
            {
                columns = 15;
            }
            else if (120 < columns)
            {
                columns = 120;
            }

            // MODE_CON_BATCH
            StreamWriter settingFile = File.CreateText(MODE_CON_BATCH);
            settingFile.Write("MODE CON: COLS=");
            settingFile.Write(columns);
            settingFile.Write(" LINES=");
            settingFile.WriteLine(lines);
            settingFile.Close();

            return e;
        }

        int widerRectangle(int n)
        {
            lines = n;
            windowHeight = (lines - 1) * delta_y + 55;
            int b = DETERMINED_BY_WINDOWS_10;

            columns = horizontal[n];
            windowWidth = columns * delta_x + 33;
            return b; // bufferSize
        }

        private bool cmdExeEquals(string e)
        {
            bool b = false;
            string[] commands = { "CMD", "cmd.exe", "cmd", "Cmd", "Cmd.exe", "CMD.EXE", "cmd.Exe" };

            foreach (string s in commands)
            {
                if (e.CompareTo(s) == 0)
                {
                    b = true;
                    break;
                }

            }

            return b;
        }

        private bool settingByWin32API(int hide)
        {
            bool task_completed = true;
            int adjuster = 0;
            int SCREEN_HEIGHT = Screen.PrimaryScreen.Bounds.Height + adjuster;
            int SCREEN_WIDTH = Screen.PrimaryScreen.Bounds.Width;

            console_height = windowHeight;
            console_width = windowWidth;
            console_x = (SCREEN_WIDTH - windowWidth) / 2;
            console_y = (SCREEN_HEIGHT - windowHeight) / 2;

            System.IntPtr hwnd = FindWindow("ConsoleWindowClass", null);
            ShowWindow(hwnd, SW_RESTORE);

            switch (hide)
            {
                case 1:
                    SetWindowPos(hwnd, HWND_BOTTOM, console_x, console_y, console_width, console_height, 0);
                    ShowWindow(hwnd, SW_MINIMIZE);
                    break;
                case 2:
                    SetWindowPos(hwnd, HWND_BOTTOM, console_x, console_y, console_width, console_height, 0);
                    break;
                case 3:
                    SetWindowPos(hwnd, HWND_BOTTOM, console_x, console_y, console_width, console_height, SWP_HIDEWINDOW);
                    task_completed = false;
                    break;
                default:
                    SetWindowPos(hwnd, HWND_TOP, console_x, console_y, console_width, console_height, 0);
                    break;
            }

            return task_completed;
        }

        private bool taskListExe()
        {
            bool b = false;

            try
            {
                StreamReader missingFile = new StreamReader(MISSING_TEXT, Encoding.Default);
                missingFile.Close();
                return b;
            }
            catch (FileNotFoundException e2)
            {
                Error.handler(e2.ToString());
                b = true;
            }

            try
            {
                StreamReader taskFile = new StreamReader(TASKLIST_TEXT, Encoding.Default);
                taskFile.Close();
            }
            catch (FileNotFoundException e22)
            {
                Error.handler(e22.ToString());

                try
                {
                    Process p = new Process();
                    p.StartInfo.FileName = CMD_EXE;
                    p.StartInfo.Arguments = C_TASKLIST_Q;
                    p.Start();
                    Thread.Sleep(slow[0]);

                    int r = p.ExitCode;
                    if (r == 0)
                    {
                        StreamWriter taskFile = File.CreateText(TASKLIST_TEXT);
                        taskFile.WriteLine("TASKLIST");
                        taskFile.Close();
                    }
                    else
                    {
                        Error.handler( "Exit code = " + r.ToString() );
                        b = false;

                        StreamWriter missingFile = File.CreateText(MISSING_TEXT);
                        missingFile.WriteLine("PC does not know TASKLIST.");
                        missingFile.Close();
                    }

                }
                catch (Win32Exception e3)
                {
                    Error.handler(e3.ToString());
                    b = false;
                }
                catch (InvalidOperationException e4)
                {
                    Error.handler(e4.ToString());
                    b = false;
                }

            }

            return b;
        }

        private bool terminating()
        {
            bool found = false;
            int id = 0;
            int q = 0;
            int[] first_list_of_IDs = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };
            int[] second_list_of_IDs = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };

            if (cmdExeEquals(executable))
            {
                preparingList(1);
                preparingList(2);

                first_list_of_IDs = programID(1);
                second_list_of_IDs = programID(2);

                if (second_list_of_IDs.Length >= 2)
                {
                    foreach (int n in first_list_of_IDs)
                    {
                        if (n == second_list_of_IDs[0])
                        {
                            found = true;
                            id = n;
                            break;
                        }
                        else if (n == second_list_of_IDs[1])
                        {
                            found = true;
                            id = n;
                            break;
                        }

                    }

                }

            }
            else
            {
                q = executable.IndexOf(BASH);
                if (q >= 0)
                {
                    preparingList(4);
                    first_list_of_IDs = programID(4);
                }
                else
                {
                    preparingList(3);
                    first_list_of_IDs = programID(3);
                }

                id = first_list_of_IDs[0];
                if (id > 0)
                {
                    found = true;
                }

            }


            if (found)
            {
                Process p = new Process();
                p.StartInfo.FileName = CMD_EXE;
                p.StartInfo.Arguments = TASKKILL_PID + id.ToString();
                p.Start();
            }

            return found;
        }

        private bool verText()
        {
            bool b = true;
            int read_size;

            try
            {
                // cmd.exe /C VER > VER.txt
                Process p = new Process();
                p.StartInfo.FileName = CMD_EXE;
                p.StartInfo.Arguments = C_VER;
                p.StartInfo.CreateNoWindow = false;
                p.StartInfo.UseShellExecute = false;
                p.StartInfo.RedirectStandardOutput = true;
                p.Start();
                StreamReader redirected = p.StandardOutput;
                StreamWriter verFile = new StreamWriter(VER_TEXT, NO_APPENDING, Encoding.Default);

                while (!redirected.EndOfStream)
                {
                    char_array = new char[CHAR_ARRAY_SIZE];
                    read_size = redirected.Read(char_array, 0, CHAR_ARRAY_SIZE);
                    verFile.Write(char_array, 0, read_size);
                }

                p.Close();

                verFile.Close();
            }
            catch (SecurityException e5)
            {
                b = false;
                Console.Error.WriteLine(e5.ToString());
            }
            catch (IOException e6)
            {
                b = false;
                Console.Error.WriteLine(e6.ToString());
            }

            return b;
        }

        private double checkVersion()
        {
            int q;
            double v = WINDOWS_7;
            OperatingSystem s = Environment.OSVersion;
            string u;
            string version = s.VersionString;

            q = version.IndexOf(DOT);
            if (q >= 0)
            {
                q -= 1;
                u = version.Substring(q, 3); // 5.1 for example
                v = sequence_to_double(u);
            }

            if (v < WINDOWS_XP || WINDOWS_7 < v)
            {
                v = checkWindows10();
            }

            return v;
        }

        private double checkWindows10()
        {
            StreamReader verFile;

            try
            {
                verFile = new StreamReader(VER_TEXT, Encoding.Default);
            }
            catch (FileNotFoundException e7)
            {
                Error.handler(e7.ToString());
                verText();
                Thread.Sleep(slow[1]);

                verFile = new StreamReader(VER_TEXT, Encoding.Default);
            }

            double v = 0.0;
            int d = 0;
            int q = 0;
            int trace = 0;
            string c = EMPTY;
            string line = EMPTY;
            string s = EMPTY;
            string VERSION_TERM = "Version";
            for (int lineNumber = 1; lineNumber <= 2; lineNumber += 1)
            {
                line = verFile.ReadLine();
                if (line == null)
                {
                    break;
                }

                q = line.IndexOf(VERSION_TERM);
                if (q >= 0)
                {
                    q += VERSION_TERM.Length;
                    q += 1;
                    break;
                }

            }

            verFile.Close();
            for (; q < line.Length; ++q)
            {
                c = line.Substring(q, 1);
                d = N_0TO9.IndexOf(c);
                if (d >= 0)
                {
                    break;
                }

            }

            trace = q;
            for (; q < line.Length; ++q)
            {
                c = line.Substring(q, 1);
                d = N_0TO9.IndexOf(c);
                if (d >= 0)
                {
                    continue;
                }
                else
                {
                    break;
                }

            }

            q += 2; // The decimal point shall be included.
            s = line.Substring(trace, q - trace);
            v = sequence_to_double(s);

            if (v == WINDOWS_10)
            {
                int[] level = { 0, 4, 8, 12, 16, 20, 24, 28, 32, 36, 40, 44, 48, 52, 56, 60, 64, 68, 72, 76, 80, 84, 88, 92, 96, 100, 104, 108, 112, 116, 120 };

                delta_y = 16;
                longer = 5; // Windows 10
                for (int i = 0; i < level.Length; ++i)
                {
                    horizontal[i] = level[i];
                }

                size_menu_item5.Text = newFigure(5);
                size_menu_item6.Text = newFigure(6);
                size_menu_item7.Text = newFigure(7);
                size_menu_item8.Text = newFigure(8);
                size_menu_item9.Text = newFigure(9);
                size_menu_item10.Text = newFigure(10);
                size_menu_item11.Text = newFigure(11);
                size_menu_item12.Text = newFigure(12);
                size_menu_item13.Text = newFigure(13);
                size_menu_item14.Text = newFigure(14);
                size_menu_item15.Text = newFigure(15);
                size_menu_item16.Text = newFigure(16);
                size_menu_item17.Text = newFigure(17);
                size_menu_item18.Text = newFigure(18);
                size_menu_item19.Text = newFigure(19);
                size_menu_item20.Text = newFigure(20);
                size_menu_item21.Text = newFigure(21);
                size_menu_item22.Text = newFigure(22);
                size_menu_item23.Text = newFigure(23);
                size_menu_item24.Text = newFigure(24);
                size_menu_item25.Text = newFigure(25);
            }

            return v;
        }

        private double sequence_to_double(string s)
        {
            double a = EPSIRON;
            try
            {
                a = Convert.ToDouble(s);
            }
            catch (FormatException e8)
            {
                Error.handler(e8.ToString());
            }

            return a;
        }

        private int sequence_to_integer(string s)
        {
            int a = NOT_CONVERTED;
            try
            {
                a = Convert.ToInt32(s);
            }
            catch (FormatException e9)
            {
                Error.handler(e9.ToString());
            }

            return a;
        }

        private int start_included_in(string line)
        {
            int q = 0;
            string[] startSigns = { "[Start]", "[start]", "[START]", "[-s]" };

            foreach (string s in startSigns)
            {
                q = line.IndexOf(s);
                if (q >= 0)
                {
                    break;
                }

            }

            return q;
        }

        private int[] programID(int fileNumber)
        {
            int k = 0;
            int q;
            int[] a = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };
            int[] list_of_IDs = { 0 };
            int A_SIZE = a.Length;
            string command_name = CMD_EXE;
            string file_name = CMD_PID_1_TEXT;
            string c, line;
            string[] items = { "", "" };

            switch (fileNumber)
            {
                case 1:
                    command_name = CMD_EXE;
                    file_name = CMD_PID_1_TEXT;
                    break;
                case 2:
                    command_name = CMD_EXE;
                    file_name = CMD_PID_2_TEXT;
                    break;
                case 3:
                    command_name = "powershell.exe";
                    file_name = PS_PID_TEXT;
                    break;
                case 4:
                    command_name = "bash.exe";
                    file_name = BASH_PID_TEXT;
                    break;
                default:
                    break;
            }

            try
            {
                int command_name_size = command_name.Length;
                StreamReader textFile = new StreamReader(file_name, Encoding.Default);
                for (int lineNumber = 1; ; lineNumber += 1)
                {
                    line = textFile.ReadLine();
                    if (line == null)
                    {
                        break;
                    }

                    q = line.IndexOf(command_name);
                    if (q >= 0)
                    {
                        q += command_name_size;
                        for (; ; )
                        {
                            c = line.Substring(q, 1);
                            if (GAP.CompareTo(c) == 0)
                            {
                                ++q;
                                continue;
                            }
                            else
                            {
                                break;
                            }

                        }

                        line = line.Substring(q);
                        q = line.IndexOf(GAP);
                        if (q >= 0)
                        {
                            line = line.Substring(0, q);
                        }

                        a[k++] = sequence_to_integer(line);
                        if (k >= A_SIZE)
                        {
                            break;
                        }

                    }

                }

                textFile.Close();
            }
            catch (IOException e10)
            {
                Error.handler(e10.ToString());
                a = list_of_IDs;
            }

            return a;
        }

        private int[] slowText()
        {
            int q = 0;
            int[] n = { 600, 600, 600, 600 };
            int N_LENGTH = n.Length;

            try
            {
                StreamReader slowFile = new StreamReader(SLOW_TEXT, Encoding.Default);
                string line = EMPTY;

                for (int i = 0; i < N_LENGTH; ++i)
                {
                    line = slowFile.ReadLine();
                    if (line == null)
                    {
                        break;
                    }

                    q = line.IndexOf(HASH);
                    if (q >= 0)
                    {
                        line = line.Substring(0, q);
                        n[i] = sequence_to_integer(line);
                    }
                    else
                    {
                        n[i] = sequence_to_integer(line);
                    }

                }

                slowFile.Close();
            }
            catch (FileNotFoundException e11)
            {
                Error.handler(e11.ToString());
            }

            return n;
        }

        private string newFigure(int n)
        {
            int bar = n + longer;
            string s = bar.ToString();
            return s;
        }

        private void commandLine()
        {
            int d;
            Numbered n;
            string[] commandParameters = Program.command_line_info();


            foreach (string s in commandParameters)
            {

                switch (s)
                {
                    case MANUAL_START:
                        timeStart = false;
                        break;
                    case WHERE:
                        where = true;
                        break;
                    default:
                        d = s.IndexOf(BAR);
                        if (d >= 0)
                        {
                            n = new Numbered(s);
                            bar = n.number();
                            if (BAR == n.parameter())
                            {
                                continue;
                            }

                            bar = INACTIVE;
                        }

                        d = s.IndexOf(CORNER);
                        if (d >= 0)
                        {
                            n = new Numbered(s);
                            cornerNumber = n.number();
                            if (CORNER == n.parameter())
                            {
                                corner = true;
                                continue;
                            }

                            cornerNumber = DIAGONAL;
                        }

                        d = s.IndexOf(EDGE);
                        if (d >= 0)
                        {
                            n = new Numbered(s);
                            edge = n.number();
                            if (EDGE == n.parameter())
                            {
                                continue;
                            }

                            edge = INACTIVE;
                        }

                        d = s.IndexOf(SLOW_TERM);
                        if (d >= 0)
                        {
                            n = new Numbered(s);
                            slow[3] = n.number();
                            if (SLOW_TERM == n.parameter())
                            {
                                continue;
                            }

                            slow[3] = SLOW;
                        }

                        d = s.IndexOf(TIME_START);
                        if (d >= 0)
                        {
                            n = new Numbered(s);
                            waiting = n.number();
                            if (TIME_START == n.parameter())
                            {
                                timeStart = true;
                                continue;
                            }

                            waiting = ONE_SECOND;
                        }

                        break;
                } // switch

            } // foreach

        }

        private void cornerHandler()
        {
            int adjuster = 0 - TASK_BAR_HEIGHT;
            int SCREEN_HEIGHT = Screen.PrimaryScreen.Bounds.Height + adjuster;
            int SCREEN_WIDTH = Screen.PrimaryScreen.Bounds.Width;

            switch (cornerNumber)
            {
                case 1: // upper left
                    Left = 0;
                    Top = 0;
                    break;
                case 2: // upper right
                    Left = SCREEN_WIDTH - Width;
                    Top = 0;
                    break;
                case 3: // lower right
                    Left = SCREEN_WIDTH - Width;
                    Top = SCREEN_HEIGHT - Height;
                    break;
                case 4: // lower left
                    Left = 0;
                    Top = SCREEN_HEIGHT - Height;
                    break;
                default: // center
                    Left = (SCREEN_WIDTH - Width) / 2;
                    Top = (SCREEN_HEIGHT - Height) / 2;
                    break;
            }

        }

        private void preparingList(int session)
        {
            string operand = EMPTY;

            switch (session)
            {
                case 1:
                    operand = C_TASKLIST_FINDSTR_CMD_EXE_1; // CMD_PID1
                    break;
                case 2:
                    operand = C_TASKLIST_FINDSTR_CMD_EXE_2; // CMD_PID2
                    break;
                case 3:
                    operand = C_TASKLIST_FINDSTR_POWER_SHELL_EXE; // PS_PID
                    break;
                case 4:
                    operand = C_TASKLIST_FINDSTR_BASH_EXE; // BASH_PID
                    break;
                default:
                    break;
            }

            Process p = new Process();
            p.StartInfo.FileName = CMD_EXE;
            p.StartInfo.Arguments = operand;
            p.Start();
            Thread.Sleep(slow[2]);
        }

        private void readHandler()
        {
            int q;
            StreamReader textFile = new StreamReader(fileName, Encoding.Default);
            string line = EMPTY;
            string[] operation = { "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" };
            for (int lineNumber = 1; ; lineNumber += 1)
            {
                line = textFile.ReadLine();
                if (line == null)
                {
                    break;
                }

                switch (lineNumber)
                {
                    case 1:
                        q = start_included_in(line);
                        if (q > 3)
                        {
                            timeStart = true;
                            line = line.Substring(0, q);
                        }
                        else
                        {
                            timeStart = false;
                        }

                        operation = line.Split(' ');
                        executable = operation[0];
                        parameter = EMPTY;
                        for (int i = 1; i < operation.Length; ++i)
                        {
                            if (operation[i].Length == 0)
                            {
                                break;
                            }

                            parameter += operation[i];
                            parameter += GAP;
                        }

                        break;
                    case 2:
                        waiting = sequence_to_integer(line);
                        break;
                    case 3:
                        currentDirectory = line;
                        break;
                    case 4:
                        hidden = sequence_to_integer(line);
                        break;
                    case 5:
                        windowWidth = sequence_to_integer(line);
                        break;
                    case 6:
                        windowHeight = sequence_to_integer(line);
                        break;
                    case 7:
                        bufferSize = sequence_to_integer(line);
                        break;
                    default:
                        break;
                }

            }

            textFile.Close();
        }

        private void startRectangle(int b)
        {
            PreparingBatch preparingBatch = classicalConsole;
            SimilarRectangle similarRectangle = classicalRectangle;

            bar = b;
            if (OSversion == WINDOWS_10)
            {
                bar += longer;
                preparingBatch = widerConsole;
                similarRectangle = widerRectangle;
            }

            bufferSize = similarRectangle(bar);
            estimate = preparingBatch(delta_y);
            startHandler(CLOSE);
        }

        private void whereHandler()
        {
            Where w = new Where();
            w.info(this, TASK_BAR_HEIGHT);
            w.Show();
        }

        public int[] commandPromptWindowSize()
        {
            int adjuster = 0;
            int SCREEN_HEIGHT = Screen.PrimaryScreen.Bounds.Height + adjuster;
            int SCREEN_WIDTH = Screen.PrimaryScreen.Bounds.Width;
            int[] a = { 552, 341, 34, 9, 9 };
            int consoleX = (SCREEN_WIDTH - windowWidth) / 2;
            int consoleY = (SCREEN_HEIGHT - windowHeight) / 2;

            a[0] = consoleX;
            a[1] = consoleY;
            a[2] = columns;
            a[3] = estimate;
            a[4] = lines;
            return a;
        }

        public void ending(bool task_completed)
        {
            if (task_completed)
            {
                Close();
            }

        }

        public void negateWhere()
        {
            where = false;
        }

        public void PDFhandler()
        {
            Process p = new Process();
            p.StartInfo.FileName = COLON_YEN_PDF;
            p.StartInfo.Arguments = EMPTY;
            p.Start();
        }

        public void startHandler(bool guide)
        {
            bool taskCompleted = true;
            Directory.SetCurrentDirectory(currentDirectory);

            if (parameter.Length == 0)
            {
                if (cmdExeEquals(executable))
                {
                    parameter = C_START_CMD_K + MODE_CON_BATCH;
                    textBox1.Text = executable + GAP + parameter;
                }

            }

            try
            {
                Process p = new Process();
                p.StartInfo.FileName = executable;
                p.StartInfo.Arguments = parameter;
                p.Start();
            }
            catch (Win32Exception e12) // PC does not know PowerShell, for example.
            {
                Error.handler(e12.ToString());

                // COLON_YEN_TEXT
                StreamWriter settingFile = File.CreateText(COLON_YEN_TEXT);
                settingFile.WriteLine("CMD [Start]");
                settingFile.WriteLine(waiting);
                settingFile.WriteLine(currentDirectory);
                settingFile.WriteLine(hidden);
                settingFile.WriteLine(windowWidth);
                settingFile.WriteLine(windowHeight);
                settingFile.WriteLine(bufferSize);
                settingFile.Close();
                return;
            }

            Thread.Sleep(slow[3]);

            if (guide)
            {
                taskCompleted = false;
            }
            else
            {
                taskCompleted = settingByWin32API(hidden);
            }

            if (where)
            {
                taskCompleted = false;
            }

            ending(taskCompleted);
        }

        public Form1()
        {
            InitializeComponent();
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ending(TASK_COMPLETED);
        }

        private void Form1_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.F11)
            {
                Text = COLON_YEN_VERSION + VERSION.ToString();
            }
            else if (e.KeyCode == Keys.F12)
            {
                Text = COLON_YEN;
            }
            else if (e.KeyCode == Keys.F3)
            {
                ending(TASK_COMPLETED);
            }


        }

        private void Form1_Load(object sender, EventArgs e)
        {
            PreparingBatch preparingBatch = classicalConsole;
            SimilarRectangle similarRectangle = classicalRectangle;
            size_menu_item5 = toolStripMenuItem3;
            size_menu_item6 = toolStripMenuItem4;
            size_menu_item7 = toolStripMenuItem5;
            size_menu_item8 = toolStripMenuItem6;
            size_menu_item9 = toolStripMenuItem7;
            size_menu_item10 = toolStripMenuItem8;
            size_menu_item11 = toolStripMenuItem9;
            size_menu_item12 = toolStripMenuItem10;
            size_menu_item13 = toolStripMenuItem11;
            size_menu_item14 = toolStripMenuItem12;
            size_menu_item15 = toolStripMenuItem13;
            size_menu_item16 = toolStripMenuItem14;
            size_menu_item17 = toolStripMenuItem15;
            size_menu_item18 = toolStripMenuItem16;
            size_menu_item19 = toolStripMenuItem17;
            size_menu_item20 = toolStripMenuItem18;
            size_menu_item21 = toolStripMenuItem19;
            size_menu_item22 = toolStripMenuItem20;
            size_menu_item23 = toolStripMenuItem21;
            size_menu_item24 = toolStripMenuItem22;
            size_menu_item25 = toolStripMenuItem23;

            KeyPreview = true;
            timer1.Interval = 1000;

            slow = slowText();
            readHandler();
            commandLine();
            OSversion = checkVersion();
            if (OSversion == WINDOWS_10)
            {
                preparingBatch = widerConsole;
                similarRectangle = widerRectangle;
            }

            if (taskListExe())
            {
                terminateToolStripMenuItem.Enabled = true;
            }
            else
            {
                terminateToolStripMenuItem.Enabled = false;
            }

            if (SHORT_WINDOW <= edge && edge <= LONG_WINDOW)
            {
                similarRectangle = noBufferRectangle;
                bufferSize = similarRectangle(edge);
            }

            if (SHORT_WINDOW <= bar && bar <= LONG_WINDOW)
            {
                bufferSize = similarRectangle(bar);
            }

            estimate = preparingBatch(delta_y);

            textBox1.Text = executable + GAP + parameter;

            if (corner)
            {
                cornerHandler();
            }

            if (where)
            {
                whereHandler();
            }

            if (timeStart)
            {
                timer1.Interval = waiting;
                timer1.Enabled = true;
            }

        }

        private void guideToolStripMenuItem_Click(object sender, EventArgs e)
        {
            hidden = 0;
            startHandler(GUIDE);

            Guide guide = new Guide();
            guide.info(this);
            guide.Show();
        }

        private void helpToolStripMenuItem_Click(object sender, EventArgs e)
        {
            PDFhandler();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            startHandler(CLOSE);
        }

        private void startToolStripMenuItem_Click(object sender, EventArgs e)
        {
            startHandler(CLOSE);
        }

        private void terminateToolStripMenuItem_Click(object sender, EventArgs e)
        {
            terminating();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            timeStart = true;
            startHandler(CLOSE);
            timer1.Enabled = false;
        }

        private void whereToolStripMenuItem_Click(object sender, EventArgs e)
        {
            whereHandler();
        }

        private void toolStripMenuItem3_Click(object sender, EventArgs e)
        {
            startRectangle(5);
        }

        private void toolStripMenuItem4_Click(object sender, EventArgs e)
        {
            startRectangle(6);
        }

        private void toolStripMenuItem5_Click(object sender, EventArgs e)
        {
            startRectangle(7);
        }

        private void toolStripMenuItem6_Click(object sender, EventArgs e)
        {
            startRectangle(8);
        }

        private void toolStripMenuItem7_Click(object sender, EventArgs e)
        {
            startRectangle(9);
        }

        private void toolStripMenuItem8_Click(object sender, EventArgs e)
        {
            startRectangle(10);
        }

        private void toolStripMenuItem9_Click(object sender, EventArgs e)
        {
            startRectangle(11);
        }

        private void toolStripMenuItem10_Click(object sender, EventArgs e)
        {
            startRectangle(12);
        }

        private void toolStripMenuItem11_Click(object sender, EventArgs e)
        {
            startRectangle(13);
        }

        private void toolStripMenuItem12_Click(object sender, EventArgs e)
        {
            startRectangle(14);
        }

        private void toolStripMenuItem13_Click(object sender, EventArgs e)
        {
            startRectangle(15);
        }

        private void toolStripMenuItem14_Click(object sender, EventArgs e)
        {
            startRectangle(16);
        }

        private void toolStripMenuItem15_Click(object sender, EventArgs e)
        {
            startRectangle(17);
        }

        private void toolStripMenuItem16_Click(object sender, EventArgs e)
        {
            startRectangle(18);
        }

        private void toolStripMenuItem17_Click(object sender, EventArgs e)
        {
            startRectangle(19);
        }

        private void toolStripMenuItem18_Click(object sender, EventArgs e)
        {
            startRectangle(20);
        }

        private void toolStripMenuItem19_Click(object sender, EventArgs e)
        {
            startRectangle(21);
        }

        private void toolStripMenuItem20_Click(object sender, EventArgs e)
        {
            startRectangle(22);
        }

        private void toolStripMenuItem21_Click(object sender, EventArgs e)
        {
            startRectangle(23);
        }

        private void toolStripMenuItem22_Click(object sender, EventArgs e)
        {
            startRectangle(24);
        }

        private void toolStripMenuItem23_Click(object sender, EventArgs e)
        {
            startRectangle(25);
        }

    }
}
