﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ColonYen
{
    public partial class Guide : Form
    {
        const bool TASK_COMPLETED = true;
        const string LAYOUT_BMP = "C:\\ColonYen\\layout.bmp";

        Form1 form1;

        public void info(Form1 f)
        {
            form1 = f;
        }

        public Guide()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void Guide_Load(object sender, EventArgs e)
        {
            int[] size = form1.commandPromptWindowSize();
            /*
                        a[0] = consoleX;
                        a[1] = consoleY;
                        a[2] = columns;
                        a[3] = estimate;
                        a[4] = lines;
             */
            pictureBox1.Image = Image.FromFile(LAYOUT_BMP);
            label1.Text = size[2].ToString(); // columns (W)
            label2.Text = size[4].ToString(); // lines (H)
            label3.Text = size[2].ToString(); // columns (I)
            label4.Text = size[3].ToString(); // estimate (E)
            label5.Text = size[0].ToString(); // Left (L)
            label6.Text = size[1].ToString(); // Top (T)
            KeyPreview = true;
        }

        private void Guide_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Escape)
            {
                Close();
            }
            else if (e.KeyCode == Keys.F3)
            {
                form1.ending(TASK_COMPLETED);
            }
          
        }
    }
}
